#ifndef AIRSERVICE_H
#define AIRSERVICE_H

#include <BRisa/BrisaUpnp/BrisaAction>
#include <BRisa/BrisaUpnp/BrisaService>
#include <BRisa/BrisaUpnp/brisastatevariable.h>

#define SERVICE_TYPE "urn:schemas-upnp-org:service:AirActions:1"

using BrisaUpnp::BrisaService;
using BrisaUpnp::BrisaAction;
using BrisaUpnp::BrisaStateVariable;

class AirService : public BrisaService {
   Q_OBJECT
public:
   AirService();

private slots:
   BrisaOutArgument* gettemperature(BrisaInArgument* const inArgument, BrisaAction* const action);
   BrisaOutArgument* settemperature(BrisaInArgument* const inArgument, BrisaAction* const action);
   BrisaOutArgument* getstatus(BrisaInArgument* const inArgument, BrisaAction* const action);
   BrisaOutArgument* setstatus(BrisaInArgument* const inArgument, BrisaAction* const action);
};
#endif // AIRSERVICE_H
